"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var UserManagementComponent = /** @class */ (function () {
    function UserManagementComponent() {
        this.userHeader = [
            {
                field: 'name',
                title: '标题',
                width: '50%',
                canSort: true,
                filter: {
                    type: 'text',
                    fn: function (event) {
                        console.log('filter:', event);
                    }
                }
            },
            {
                field: 'rate',
                title: '磁盘使用率',
                width: '25%',
                canSort: true
            },
            {
                field: 'space',
                title: '使用状态',
                width: '25%',
                canSort: true,
                filter: {
                    type: 'checkList',
                    optionList: [
                        {
                            check: null,
                            name: '超级长超级长超级长'
                        },
                        {
                            check: null,
                            name: '停用'
                        },
                        {
                            check: null,
                            name: '损坏'
                        }
                    ],
                    fn: function (event) {
                        console.log('filter:', event);
                    }
                }
            }
        ];
        this.userData = [
            {
                name: '/dev/sda1',
                rate: '74%',
                space: '使用中',
            },
            {
                name: 'tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)',
                rate: '100%',
                space: '损坏',
            },
            {
                name: 'tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)',
                rate: '100%',
                space: '损坏',
            },
            {
                name: 'tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)',
                rate: '100%',
                space: '损坏',
            },
            {
                name: 'tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)',
                rate: '100%',
                space: '损坏',
            },
            {
                name: 'tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)',
                rate: '100%',
                space: '损坏',
            },
            {
                name: 'tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)',
                rate: '100%',
                space: '损坏',
            },
            {
                name: 'tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)',
                rate: '100%',
                space: '损坏',
            },
            {
                name: 'tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)',
                rate: '100%',
                space: '损坏',
            },
            {
                name: 'tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)',
                rate: '100%',
                space: '损坏',
            },
            {
                name: 'tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)',
                rate: '100%',
                space: '损坏',
            },
            {
                name: 'tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)tmpfs(/dev/shm)',
                rate: '100%',
                space: '损坏',
            }
        ];
    }
    UserManagementComponent.prototype.ngOnInit = function () {
    };
    UserManagementComponent.prototype.sort = function (event) {
        console.log(event);
    };
    UserManagementComponent = __decorate([
        core_1.Component({
            moduleId: module.id,
            templateUrl: './user.management.component.html',
            styleUrls: ['./user.management.component.css']
        }),
        __metadata("design:paramtypes", [])
    ], UserManagementComponent);
    return UserManagementComponent;
}());
exports.UserManagementComponent = UserManagementComponent;
//# sourceMappingURL=user.management.component.js.map